Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.session
Class EBusinessSessionValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.session.EBusinessSessionValue

public class EBusinessSessionValue
extends SmartValue

An EBusinessSession is the mechanism by which the logical flow of a session is maintained. It provides support for implementations where a user is guided through a series of separate pages that must share a common context. It is targeted at a usage model where by a customer may or may not have a registered identity on the system. Customers that are not identified can simply browse, where as registered customers can initiate purchases. A final level of authentication is required when a user wishes to complete a transaction or modify their profile. An EBusinessSession also provides the mechanism by which a Customer, Order, and Invoice are bound together.

See Also:
  `EBusinessSession`, `EBusinessSessionHome`, `EBusinessSession.getEBusinessSessionByValue()`, `EBusinessSession.setEBusinessSessionByValue(EBusinessSessionValue)`, Serialized Form

Field Summary
`java.sql.Date` | `accessDate` accessDate [EBusinessSession] <*>------> [`java.sql.Date`]
`java.sql.Date` | `creationDate` creationDate [EBusinessSession] <*>------> [`java.sql.Date`]
`SmartHandle` | `customer` customer [EBusinessSession] <>------> [`theory.smart.ebusiness.customer.Customer`]
`SmartHandle` | `order` order [EBusinessSession] <>------> [`theory.smart.ebusiness.order.Order`]
`SmartHandle` | `pendingInvoice` pendingInvoice [EBusinessSession] <>------> [`theory.smart.ebusiness.invoicing.Invoice`]
`java.lang.String` | `sessionKey` sessionKey [EBusinessSession] <*>------> [`String`] (Primary Key)
`WorkflowContext` | `sessionState` sessionState [EBusinessSession] <*>------> [`theory.smart.ebusiness.session.EBusinessSessionWorkflow`]

Constructor Summary
`protected` | `EBusinessSessionValue()` Only get/setEBusinessSessionByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sessionKey

    public java.lang.String sessionKey

                        sessionKey
       [EBusinessSession] <*>------> [String] (Primary Key)

### creationDate

    public java.sql.Date creationDate

                        creationDate
       [EBusinessSession] <*>------> [java.sql.Date]

### accessDate

    public java.sql.Date accessDate

                        accessDate
       [EBusinessSession] <*>------> [java.sql.Date]

### pendingInvoice

    public SmartHandle pendingInvoice

                        pendingInvoice
       [EBusinessSession] <>------> [theory.smart.ebusiness.invoicing.Invoice]

### customer

    public SmartHandle customer

                        customer
       [EBusinessSession] <>------> [theory.smart.ebusiness.customer.Customer]

### order

    public SmartHandle order

                        order
       [EBusinessSession] <>------> [theory.smart.ebusiness.order.Order]

### sessionState

    public WorkflowContext sessionState

                        sessionState
       [EBusinessSession] <*>------> [theory.smart.ebusiness.session.EBusinessSessionWorkflow]

Constructor Detail

### EBusinessSessionValue

    protected EBusinessSessionValue()

  Only get/setEBusinessSessionByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.